
# define to include -server bits. NEEDSWORK
#define server 1

Summary: Apple Bonjour DNSResponder 
Name:	 mDNSResponder 
Version: 108.5 
Release: 1%{?dist}

License: APPLE PUBLIC SOURCE LICENSE 
Group:	 System Environment/Libraries
URL:	 http://developer.apple.com/bonjour/
Source:	 mDNSResponder-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if "%{?fedora}" > "4"
Conflicts: avahi < 0.6.10, avahi-compat-libdns_sd
%endif

Provides: libdns_sd = %{version}-%{release}

# Replacement chkconfig-aware init
Source1: mdnsd.init
Source2: mDNSResponder.init
Source3: mDNSResponder-services_mDNS

Patch1: mDNSResponder-107.1-makefile.patch

%description
The mDNSResponder project is a component of Bonjour,
Apple's ease-of-use IP networking initiative.

Apple's Bonjour software derives from the ongoing standardization
work of the IETF Zero Configuration Networking Working Group:
<http://zeroconf.org/>


%package devel
Summary: Headers and libraries for %{name}
Group:	Development/Libraries
Requires: %{name} = %{version}-%{release}
%if "%{?fedora}" > "4"
Conflicts: avahi-devel < 0.6.10, avahi-compat-libdns_sd-devel
%endif
Provides: libdns_sd-devel = %{version}-%{release}
%description devel
%{summary}

%package server
Summary: %{name} server daemon
Group:	 System Environment/Daemons
Requires: %{name} = %{version}-%{release}
Requires(preun): chkconfig, /sbin/service
Requires(post): chkconfig
Requires(postun): /sbin/service
%description server
%{summary}.


%package util
Summary: %{name} server daemon
Group:	 System Environment/Daemons
Requires: %{name} = %{version}-%{release}
Requires(preun): chkconfig, /sbin/service
Requires(post): chkconfig
Requires(postun): /sbin/service
%description util
%{summary}.


%prep
%setup -q 

%patch1 -p1 -b .mak


%build

make -C mDNSPosix os=linux \
  CC=%{__cc} \
  LIB=/%{_lib} \
  STRIP="echo" \
  CFLAGS_DEBUG="$RPM_OPT_FLAGS -DMDNS_DEBUGMSGS=0" \
  JDK=/usr/lib/jvm/java/include \


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sbindir},/%{_lib},%{_libdir},%{_mandir}/man{5,8},%{_includedir},%{_initrddir}}

make -k -C mDNSPosix os=linux install \
  DESTDIR=$RPM_BUILD_ROOT \
  INSTBASE=$RPM_BUILD_ROOT%{_prefix} \
  LIB=/%{_lib} \
  MANPATH=$RPM_BUILD_ROOT%{_mandir} \
  STARTUPSCRIPTDIR=$RPM_BUILD_ROOT%{_initrddir} \
  RUNLEVELSCRIPTSDIR=$RPM_BUILD_ROOT%{_initrddir}/.. \
  NSSINSTPATH=$RPM_BUILD_ROOT/%{_lib} ||:

# Replace init
rm -f 		      $RPM_BUILD_ROOT%{_initrddir}/*
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/mdnsd
install -p %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}/mDNSResponder
install -p %{SOURCE3} $RPM_BUILD_ROOT/etc/services_mDNS

install -m 0755 mDNSPosix/build/prod/mDNSResponderPosix $RPM_BUILD_ROOT%{_sbindir}/mDNSResponder

mkdir -p $RPM_BUILD_ROOT/var/run
touch $RPM_BUILD_ROOT/var/run/mdnsd.pid

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post server
/sbin/chkconfig --add mdnsd

%preun server
if [ $1 -eq 0 ]; then
  /sbin/service mdnsd stop >/dev/null 2>&1 ||:
  /sbin/chkconfig --del mdnsd 
fi

%postun server
if [ $1 -ge 1 ]; then
  /sbin/service mdnsd condrestart >/dev/null 2>&1
fi


%files 
%defattr(-,root,root,-)
%doc README.txt APPLE_LICENSE
%config(noreplace) /etc/nss_mdns.conf
/%{_lib}/libnss_mdns*
%{_libdir}/lib*.so.*
%{_mandir}/man?/nss_mdns.conf*
%{_mandir}/man?/libnss_mdns.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/lib*.so

%files server
%defattr(-,root,root,-)
%{_sbindir}/mdnsd
%{_mandir}/man?/mdnsd.*
%config %{_initrddir}/*
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) /var/run/mdnsd.pid

%files util
%defattr(-,root,root,-)
%{_sbindir}/mDNSResponder
#%{_sbindir}/mDNSNetMonitor
%{_initrddir}/mDNSResponder
/etc/services_mDNS

%post util
/sbin/chkconfig --add mDNSResponder

%changelog
* Fri Jun 16 2006 Rex Dieter 0.107.1-1
- Conflicts: avahi < 0.6.10, avahi-compat-libdns_sd
- Provides: libdns_sd

* Mon Apr 03 2006 Rex Dieter 0.107.1-0.1
- 107.1
- -devel: Conflicts: avahi (fc5)

* Fri Mar 11 2005 Rex Dieter 0.98-2
- fix %%doc ownership.
- fix/include -server bits 
  (TODO: consider running as non-privledged user)

* Fri Mar 04 2005 Rex Dieter 0.98-1
- first try
